summaryrefslogtreecommitdiffstats
path: root/lib/overcloud-deploy-functions.sh
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2017-03-08 10:21:14 -0500
committerDan Radez <dradez@redhat.com>2017-03-08 11:50:40 -0500
commitbc60e373f9784f6e2dd13a958a653563d80c4347 (patch)
treebc544b986973a99e3c81600b3f7d5cba07438ca4 /lib/overcloud-deploy-functions.sh
parent4055f53d09a016a2da611649e856f86fd3348e93 (diff)
Disabling ONOS from Danube
Integration work for ONOS in Danube was not completed. Disabling this scenario for this release. Disabling completed mostly by commenting out sections enabling easy re-enabling next release once integration work is completed. Change-Id: I1d7b457e8234bf6bb299b9908b356040e68370e5 Signed-off-by: Dan Radez <dradez@redhat.com>
Diffstat (limited to 'lib/overcloud-deploy-functions.sh')
-rwxr-xr-xlib/overcloud-deploy-functions.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index 60aadd6c..f05e611f 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -32,12 +32,14 @@ function overcloud_deploy {
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight-external.yaml"
SDN_IMAGE=opendaylight
elif [ "${deploy_options_array['sdn_controller']}" == 'onos' ]; then
- if [ "${deploy_options_array['sfc']}" == 'True' ]; then
- DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/onos_sfc.yaml"
- else
- DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/onos.yaml"
- fi
- SDN_IMAGE=onos
+ echo -e "${red}ERROR: ONOS is unsupported in Danube...exiting${reset}"
+ exit 1
+ #if [ "${deploy_options_array['sfc']}" == 'True' ]; then
+ # DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/onos_sfc.yaml"
+ #else
+ # DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/onos.yaml"
+ #fi
+ #SDN_IMAGE=onos
elif [ "${deploy_options_array['sdn_controller']}" == 'opencontrail' ]; then
echo -e "${red}ERROR: OpenContrail is currently unsupported...exiting${reset}"
exit 1